//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-833 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.08.08 at 11:33:27 PM BST 
//


package Bee.dtos;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ExecutionType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ExecutionType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="MARKET_ORDER"/>
 *     &lt;enumeration value="LIMIT_ORDER"/>
 *     &lt;enumeration value="STOP_ORDER"/>
 *     &lt;enumeration value="STOP_LIMIT_ORDER"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ExecutionType")
@XmlEnum
public enum ExecutionType {

    MARKET_ORDER,
    LIMIT_ORDER,
    STOP_ORDER,
    STOP_LIMIT_ORDER;

    public String value() {
        return name();
    }

    public static ExecutionType fromValue(String v) {
        return valueOf(v);
    }

}
